changeset 37:62a132bbdcdb

The xmlto code page bugfix needs to be applied to doclifter output too. Also, better reporing of success/failure of the conversion.
author Rob Landley <rob@landley.net>
date Mon, 10 Sep 2007 12:35:28 -0500
parents 9a5ef2d1264e
children 841aab0fd204
files make/mkxmlman.sh
diffstat 1 files changed, 10 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/make/mkxmlman.sh	Mon Sep 10 05:41:08 2007 -0500
+++ b/make/mkxmlman.sh	Mon Sep 10 12:35:28 2007 -0500
@@ -25,11 +25,17 @@
 rm -rf doclifter-* &&
 tar xvzf source/doclifter-*.tar.gz &&
 cd doclifter-* &&
-./manlifter -I `pwd`/../mantemp `cd ..;ls mantemp | sed -re 's/man([0-9]p?)/-s \1/g'` -h
+./manlifter -I `pwd`/../mantemp `cd ..;ls mantemp | sed -re 's/man([0-9]p?)/-s \1/g'` -h &&
 
 # Fix up symlinks
-../../fixlinks.py `find xmlman -type l`
+../fixlinks.py `find xmlman -type l` &&
+# Remove inappropriate code page that displays garbage (workaround xmlto bug)
+find xmlman -name "*.html" | xargs sed -i -e 's/.*ISO-8859-1.*//' &&
 
 # Install result
-rm -rf ~/www/kdocs/xmlman
-mv xmlman ~/www/kdocs
+rm -rf ~/www/kdocs/xmlman &&
+mv xmlman ~/www/kdocs &&
+exit 0
+
+echo "It died."
+exit 1